Subject: Re: [Int-area] Per-Application Networking Considerations

From: Jiayihao <[email-masked]>
Date: Fri, 19 Mar 2021 14:20:56 +0000

Hi Tommy, Lorenzo,

Thanks for the work and thinking on this, and I'd like to share my concerns on this work after go through the draft.

1. This draft is obviously relate to the topic of network neutrality.

There are 2 main motivation to involve cross layer optimization, one is for research purpose like congestion control, while another is for SLA / revenue. My understanding is that this draft cares the later one. Due to the network neutrality consideration, Internet wide SLA, like such offered by ISP, are really sensitive because of the IETF consensus - RFC 7258. Although network neutrality is a significant working direction, I reckon that requirements or consequence can be much different in some vertical/specific network scenario, like airplane entertainment network as you mentioned in this draft. I think thus differences come to several reason: users are physically restricted by 1) the way they access the network,  2)  the applications they can get from this network, 3) all the applications are offered by the same provider as the network access...

I think a good choice for the work next is to find out these specific network scenarios, and I think this could help us know more about network neutrality and cross layer optimization outsides the scope of the "internet" (since there might be a stereotype that Internet represent all network scenarios)

2. in the Internet area, cross layer optimization mains the SLA works at the price of a certain privacy.

Actually the thing is no matter how course the identifier granularity is, once you put it in layer 3, the sender inevitably sacrifice privacy. In the big data area, any information you ever show up can be used to trace your real world behavior. There are vast of research paper related to this. For example, an research paper call "Your Privilege Gives Your Privacy Away: An Analysis of a Home Security Camera Service" published in INFOCOM2020 say that: only the traffic itself, even it is all encrypted, can reveal users real life behavior. Since IoT camera will automatically upload the video into the server (the IP of the server is publicly known), and the upload strategy is based on the motion in users house. Thus, ISP can easily figure out the users get up time, bed time, stay at home or not, just based on the traffic from the camera. Remember that IP itself indicates not only network locator, but also identifier.

For this, even we do nothing about cross layer optimization, we always have privacy issue about IP address we use, and traffic we send. And this is the motivation for Tor, ODoH draft, Oblivious HTTP draft, right?

3. Trust anchor are shift to the network.

If mechanisms like APN6 works, there must be some add-on mechanism to prevent Identifier(token or things like that) spoofing. If there is, such anti-spoofing mechanism only work if the device, OS, APP, or users set the trust anchor on networks for cryptography authentication. However, such assumption is not align with the principle of IP, especially in the Internet area. And this is the motivation from HTTP to HTTP`S` EVERYWHERE, right?

4. There should be considerations on implementation reality.

RFC 8980 talks a really interesting topic: deployment reality V.S. protocol design. In reality, there are a lot of standards are well designed but not deployed in real world, and vice versa.  For Internet area, the factors of deployment reality are just related to network neutrality.

Followed by RFC 8980, end-to-end principle is again been revisited and seriously considered by IAB. draft-arkko-path-signals-information-00 and draft-arkko-farrell-arch-model-t-redux-01 have a lot of concerns on this. I think talking with Jari Arkko can help move forward this I-D.

Again thanks for the work. I'd like to help and talk more if you like. : )

Thanks,
Yihao Jia